## check 0.9.10

=== debian/changelog ===
check (0.9.10-6ubuntu3) trusty; urgency=medium

  * Add missing build-depend on pkg-config so that we can run autoreconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Apr 2014 16:00:08 +0100

check (0.9.10-6ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Build the two variants in two directories.
  * Build using dpkg-buildflags.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Apr 2014 08:20:20 +0200

check (0.9.10-6ubuntu1) trusty; urgency=low

  * Merge from debian. Remaining changes:
    - Update config.{guess,sub} for Aarch64.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 07 Dec 2013 10:57:13 +1100

check (0.9.10-6) unstable; urgency=low

  * add -pthread to both --libs and --cflags of check.pc (sigh)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 25 Nov 2013 20:10:47 +0000

check (0.9.10-5) unstable; urgency=low

  * debian/patches/03texi.patch: Update patch and remove version and date
    information from check.info to handle Multi-Arch:Same (closes: #718200).
  * debian/rules:
    - Remove doc/check.info before build so it gets regenerated.
    - Remove first line from doc/check.info to handle Multi-Arch:Same.
  * debian/control: Add Build-Depends texinfo to build check.info.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 17 Aug 2013 20:15:46 +0200

check (0.9.10-4ubuntu1) saucy; urgency=low

  * Update config.{guess,sub} for Aarch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2013 13:57:23 +0200

check (0.9.10-4) unstable; urgency=low

  * debian/patches: Add 04setitimer_hurd.patch to fix build on hurd (closes:
    #715166).

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Wed, 10 Jul 2013 09:46:55 +0200

check (0.9.10-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
    - Add debian/patches/01pkgconfig.patch.
    - Add debian/patches/02awk.patch.
    - Add debian/patches/03texi.patch.
  * debian/patches/01pkgconfig.patch: Replace @PTHREAD_CFLAGS@ with -pthread
    (closes: #712140).
  * Remove doc/example/src/money.1.c.debdiff.
  * Revert changes to doc/stamp-vti.
  * Revert changes to doc/version.texi.
  * debian/rules:
    - Recognize DEB_BUILD_OPTIONS=noopt (closes: #690890).
    - Run testsuite after build (closes: #690834).
  * debian/control: Add Vcs-Browser and Vcs-Git fields.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Fri, 21 Jun 2013 11:23:31 +0200

check (0.9.10-2) unstable; urgency=low

  * Make pkg-config return the correct flags for static liking even
    when called without --static (closes: #711599)
  * Make check explicitely depend on mawk, unfortunately mawk and gawk
    are somewhat incompatible (see: #691684). This is also a partial 
    solution to #711566.
  * Removed a comment from /usr/include/check_stdint.h that changed with 
    the compiler used for building, breaking multi-arch (closes: #711566)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 10 Jun 2013 15:11:21 +0100

check (0.9.10-1) unstable; urgency=low

  * Add Thomas Bechtold to uploades, he also did the following changes:
  * New upstream release (closes: #709969)
  * Convert to Multi-Arch: same (thanks to Colin Watson) (closes: #693221).
  * Remove obsolete debian/check.files (since we no longer use
    dh_movefiles), and remove a related hack in debian/rules (thanks to Colin
    Watson).
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove Build-Conflicts with textinfo.

 -- Robert Lemmen <robertle@semistable.com>  Fri, 07 Jun 2013 11:52:15 +0100

check (0.9.8-2) unstable; urgency=low

  * Revert stupid change to check.m4 (closes: #528047, #581354)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 31 May 2012 19:05:16 +0100

check (0.9.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * -lcheck_pic provides instead of -lcheck by pkg-config.
    (Closes: #605207)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 26 Dec 2011 19:58:15 +0900

check (0.9.8-1) unstable; urgency=low

  * New upstream release (closes: #547736)
  * Bumped Standards-Version and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Mon, 18 Jan 2010 10:30:16 +0000

check (0.9.6-2) unstable; urgency=low

  * Fixed strdup implicit conversion (closes: #519597)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 Mar 2009 14:13:34 +0000

check (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 18:43:54 +0000

check (0.9.5-4) unstable; urgency=low

  * Added patch by Roland Stigge (closes: #468309)
  * Bumped standards version
  * Added Homepage field

 -- Robert Lemmen <robertle@semistable.com>  Sun, 15 Jun 2008 19:04:43 +0100

check (0.9.5-3) unstable; urgency=low

  * Build-Conflicts with texinfo (closes: #44637)
  * New watch file (closes: #449742)

 -- Robert Lemmen <robertle@semistable.com>  Fri,  7 Dec 2007 12:52:06 +0100

check (0.9.5-2) unstable; urgency=low

  * Fixes clean target in debian/rules
  * Fixes info file (closes: #440739, #440798)

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Sep 2007 15:00:48 +0200

check (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Aug 2007 12:14:42 +0200

check (0.9.4-4) unstable; urgency=low

  * use dh_installinfo (closes: #410781)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 10 Apr 2007 23:16:43 +0200

check (0.9.4-3) unstable; urgency=low

  * Fixed a bug that breaks all loop tests that use "i" as a variable name
    (closes: #404118)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 21 Dec 2006 21:03:44 +0100

check (0.9.4-2) unstable; urgency=low

  * Fixed check.m4, thanks josh! (closes: #395466, #395467)
  * Added binary-indep target (closes: #395677) 

 -- Robert Lemmen <robertle@semistable.com>  Mon, 30 Oct 2006 11:19:36 +0100

check (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 15 Oct 2006 14:21:41 +0200

check (0.9.3-2) unstable; urgency=low


