=== debian/control ===
Source: check
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Lemmen <robertle@semistable.com>
Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper (>= 8.0), mawk, texinfo, dh-autoreconf, automake1.11, pkg-config
Build-Conflicts: gawk
Standards-Version: 3.9.4
Homepage: http://check.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/check.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/check.git;a=summary

Package: check
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info, mawk
Description: unit test framework for C
 Check features a simple interface for defining unit tests, putting 
 little in the way of the developer. Tests are run in a separate 
 address space, so Check can catch both assertion failures and code 
 errors that cause segmentation faults or other signals. The output 
 from unit tests can be used within source code editors and IDEs.
