=== debian/changelog ===
check (0.10.0-3build2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Jun 2017 22:30:22 +0000

check (0.10.0-3build1) yakkety; urgency=medium

  * No-change rebuild to pick up pie defaults.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Apr 2016 19:02:20 +0200

check (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add PTHREAD_CFLAGS to the pkg-config file to hint the linker to use lpthread
    (Closes: #799991)
  * Added support for DEB_BUILD_OPTIONS=nocheck.

 -- Tobias Frost <tobi@debian.org>  Fri, 25 Sep 2015 18:05:46 +0200

check (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * f/rules Fixing up sed regular expression to remove arch dependent line in
    header (Closes: #796304)
  * Depdend on libsubunit-dev (Closes: #796494)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Aug 2015 18:08:47 +0200

check (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #745987)
  * Update d/copyright, reformat it to the machine readable format.
  * Remove patch 04setitimer_hurd.patch from d/patches/series, applied upstream.
  * Refresh patch 03texi.patch
  * d/clean: remove some files to be able to build twice in a row
  * Bumping d/compat to level 9 (and therfore B-D on debhelper >=9)
  * Rewriting d/rules from scratch:
    - Short debhelper format
    - Using dh_autoreconf
    - configure: Enable subunit (needs B-D on libsubunit-dev) also patch the
      pkg-config file to use the subunit linking flags (Closes: #646093)
    - configure: Remove unknown option enable-plain-docdir
    - configure: Don't build and deleted shared libraries, just don't build it.
  * B-D on pkg-config
  * Delete leftover file d/q
  * Bump S-V to 3.9.6, no changes needed
  * Do not embedd timestamp in check.info (Closes: #728784)
  * Fix "FTCBFS: uses wrong compiler" with the solution from the BTS. (Closes:
    #788449)

 -- Tobias Frost <tobi@debian.org>  Thu, 20 Aug 2015 15:36:47 +0200
