## check 0.12.0

=== debian/changelog ===
check (0.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #858823)
  * Update debian/watch, the project has moved to GitHub.
  * Remove 05no-timestamp-in-check-info.patch, upstream will apply filterdiff
    if present.
  * Fix a compiler error due to comparing an signed int with a size_t.
  * Remove src/check.h, it prevents out-of-tree builds from working correctly.
  * Bump debian/compat and Standards-Version.
  * Update README.Debian to get it past the spell checker.
  * Add Rules-Requires-Root: no.

 -- Guus Sliepen <guus@debian.org>  Mon, 03 Dec 2018 18:09:18 +0100
