=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Lemmen <robertle@semistable.com>
-Build-Depends: debhelper (>= 9), mawk, texinfo, dh-autoreconf, pkg-config, libsubunit-dev
+Build-Depends: debhelper (>= 11), mawk, texinfo, pkg-config, libsubunit-dev, patchutils
 Build-Conflicts: gawk
-Standards-Version: 3.9.6
-Homepage: http://check.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/check.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/check.git;a=summary
+Standards-Version: 4.2.1
+Homepage: https://libcheck.github.io/check/
+Rules-Requires-Root: no
 
 Package: check
 Architecture: any
