=== debian/watch ===
version=3
https://github.com/libcheck/check/releases .*/check-(\d\S*)\.tar.gz
